import { Controller, Get, Post } from '@nestjs/common';
import { ApiBearerAuth, ApiTags } from '@nestjs/swagger';
import { Public } from 'src/core/guards';
import { MODULE_NAME } from 'src/core/strings/constants/module.constants';

@ApiTags(`${MODULE_NAME.REPORT.split('-').join(' ')}`)
@Controller(`v1/${MODULE_NAME.REPORT}`)
@Public(false)
@ApiBearerAuth('JWT')
export class ReportController {
  @Get('config')
  async getReportConfig() {
    return;
  }

  @Post('data')
  async getReportData() {
    return;
  }
}
